From ba55ec09ed897062f0c8f8b9dddd52ea5ce9fce9 Mon Sep 17 00:00:00 2001
From: aargh <keith@keithp.net>
Date: Sun, 16 Jan 2022 16:45:56 +0000
Subject: [PATCH] Allow chown to fail so files can be managed via docker
 configs and secrets

---
 docker/rootfs/etc/cont-init.d/00-app-user-map.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/docker/rootfs/etc/cont-init.d/00-app-user-map.sh b/docker/rootfs/etc/cont-init.d/00-app-user-map.sh
index 6d8dc519de..a85a6c0f1a 100644
--- a/docker/rootfs/etc/cont-init.d/00-app-user-map.sh
+++ b/docker/rootfs/etc/cont-init.d/00-app-user-map.sh
@@ -19,8 +19,8 @@ echo "$APP_USER:x:$GROUP_ID:" >> /etc/group
 
 # Make sure APP_HOME is editable by the user
 if [[ -n "$APP_HOME" ]] ; then
-    chown -R "$APP_USER" "$APP_HOME"
-    chmod -R u+rw "$APP_HOME"
+    chown -R "$APP_USER" "$APP_HOME" || true
+    chmod -R u+rw "$APP_HOME" || true
 fi
 
 # vim:ft=sh:ts=4:sw=4:et:sts=4
-- 
GitLab